Bug 1315799 - [RFE][cinder] Attached Volume Extend API
[RFE][cinder] Attached Volume Extend API
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity unspecified
: Upstream M1
: ---
Assigned To: Eric Harney
Avi Avraham
Kim Nylander
upstream_milestone_mitaka-3 upstream_...
: FutureFeature, TestOnly, Triaged
: 1383976 (view as bug list)
Depends On:
Blocks: 1476900 1521118
  Show dependency treegraph
Reported: 2016-03-08 10:41 EST by Sean Cohen
Modified: 2018-03-15 07:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 243730 None None None 2016-03-08 10:42 EST
OpenStack gerrit 453286 None None None 2018-02-09 10:36 EST
OpenStack gerrit 454287 None None None 2017-04-24 16:18 EDT

  None (edit)
Description Sean Cohen 2016-03-08 10:41:24 EST
New API to os-brick to allow extending an attached volume API was introduced in Cinder to allow the host kernel to recognize an attached volume has grown in size.

Spec: https://specs.openstack.org/openstack/cinder-specs/specs/mitaka/brick-extend-attached-volume.html
Comment 2 Mike McCune 2016-03-28 18:34:54 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Eric Harney 2016-10-12 08:56:28 EDT
The Cinder spec for this RFE has not yet merged upstream.
Comment 5 Eric Harney 2016-10-12 08:56:58 EDT
*** Bug 1383976 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.